#!/usr/bin/perl 

# Replace '/usr/lib/nagios/plugins/check_nt' with the localtion where your check_nt binary is located 

$MessagesSubmittedPermin       = `/var/www/html/scripts/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeIS Mailbox(_Total)\\Messages Submitted/min"`; 
chomp $MessagesSubmittedPermin; 
$MessagesSentPermin       = `/var/www/html/scripts/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeIS Mailbox(_Total)\\Messages Sent/min"`; 
chomp $MessagesSentPermin; 
$MessagesDeliveredPermin      = `/var/www/html/scripts/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeIS Mailbox(_Total)\\Messages Delivered/min"`; 
chomp $MessagesDeliveredPermin; 
$SendQueueSize       = `/var/www/html/scripts/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeIS\\SendQueueSize"`; 
chomp $SendQueueSize; 
$ReceiveQueueSize        = `/var/www/html/scripts/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeIS\\ReceiveQueueSize"`; 
chomp $ReceiveQueueSize; 


print "MessagesSubmittedPermin:$MessagesSubmittedPermin MessagesSentPermin:$MessagesSentPermin MessagesDeliveredPermin:$MessagesDeliveredPermin SendQueueSize:$SendQueueSize ReceiveQueueSize:$ReceiveQueueSize\n";
